const Express = require("express")();
const Http = require("http").Server(Express);
const Socketio = require("socket.io")(Http, {
    cors: {
        origin: '*',
    }
});

Http.listen(3000, () => {
    console.log("Listening at :3000...");
});

Socketio.on("connection", socket => {
    console.log('new Socket connect: ', socket.id);
    socket.on("newGame", data => {
        print("New Game");
    });

    socket.on("disconnect", () => {
        console.log("DISCONNECT CLIENT: ", socket.id);
    });
});

